Subscriptions
Create Subscription Intent
Creates a new subscription payment intent. Validates customer, product, and price before creating a payment intent for subscription.
Authorization
api_key api-key<token>
In: header
Request Body
application/json
Subscription intent creation data
orderNumber?string
Optional order number for tracking
receiptUrl*string
Receipt URL for payment confirmation
returnUrl?string
Optional return URL after payment
startDate?string
Optional start date for the subscription
tenantAlias*string
The tenant alias for multi-tenant access
priceId*string
The unique identifier of the price
productId*string
The unique identifier of the product
associatedCustomerId*string
The customer identifier from your system
reason?string
Optional reason for the subscription
customerId*string
The unique identifier of the customer
Response Body
application/json
application/json
curl -X POST "https://api.paynowpro.com/api/v1/subscriptions/intent" \ -H "Content-Type: application/json" \ -d '{ "receiptUrl": "string", "tenantAlias": "string", "priceId": "string", "productId": "string", "associatedCustomerId": "string", "customerId": "string" }'{
"status": "string",
"intentId": "string"
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}